package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class MenuDietCaraMasak
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "MenuDietCaraMasak_M")
public class MenuDietCaraMasakVO extends BaseMasterVO {
	@Caption(value="Cara Masak")
	private String caraMasak;

	public void setCaraMasak(String caraMasak) {
		this.caraMasak = caraMasak;
	}

	@Column(name = "CaraMasak", nullable = false , length = 300)
	public String getCaraMasak(){
		return this.caraMasak;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectProdukMDFk")
	@NotNull(message="Object ProdukVO M D Harus Diisi")
	@Caption(value="Object ProdukVO M D")
	private ProdukVO produkMD;

	public void setProdukMD(ProdukVO produkMD) {
		this.produkMD = produkMD;
	}

	@Column(name = "KdProdukMD", nullable = false , length = 6)
	public ProdukVO getProdukMD(){
		return this.produkMD;
	}

	@Column(name = "ObjectProdukMDFk", insertable=false,updatable=false)
	private Integer produkMDId;

	@Caption(value="Keterangan Lainnya")
	private String keteranganLainnya;

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	@Column(name = "KeteranganLainnya", nullable = true , length = 150)
	public String getKeteranganLainnya(){
		return this.keteranganLainnya;
	}

	@Caption(value="No Urut")
	private Byte noUrut;

	public void setNoUrut(Byte noUrut) {
		this.noUrut = noUrut;
	}

	@Column(name = "NoUrut", nullable = false )
	public Byte getNoUrut(){
		return this.noUrut;
	}


}

